GuidesAPI Reference
API Reference

Import Geometries in a WKT or Shape File

Import polygons, polylines or points in WKT (Wellknown Text) or Shapefile format geometries using an HTTP POST request. A layer can contain only one geometry type - polygons, polylines or points, but not a mix of different types. After the response there is a delay of several seconds to compile, store and make the geometries available in the service.

Query Params
string
required

Unique identifier for the layer in the format: {app_id}.{mapName}.{layerName} .

  • app_id - app_id of the project creating the layer.
  • mapName - the map into which the layer is to be uploaded. default = upload the layer into the app_id's default map.
  • layerName - name of layer to create/replace. The maximum length of a layer name and the permitted characters can be looked up in the service via resource /v8/maps/serviceconfiguration.
int32
Defaults to 12

Specify tile size for the database for performance optimization, if not specified default tile size of 12 is used.

string
Defaults to updatable

Either updatable or readonly. Default = updatable.

string
Defaults to "

Specify the quote character to use. Specifying NONE disables quotes.

string

Specify columns of the layer that should be indexed. Column name is followed by semi-colon(;) and indexing type. Supported indexing types are: order(o), text(t) or both - order,text(o,t). Columns are separated by pipe(|). Example &indexColumns=POI_ID;order|CAT_ID;text|ADMIN_IDS;order,text

string

Comma separated list of app_ids (in addition to the one creating the layer), which would also get access (per default read+export access) to this layer. Example &granted_app_ids=otherAppId1,otherAppId2 .

string
required

WKT file content

Response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json